---
version: '3'
services:
  typesense:
    image: typesense/typesense:27.1
    container_name: typesense
    environment:
      - TYPESENSE_API_KEY=${TYPESENSE_API_KEY}
      - TYPESENSE_DATA_DIR=/data
    volumes:
      - typesense-data:/data
    ports:
      - "8108:8108"
    networks:
      - typesense-net

volumes:
  typesense-data:

networks:
  typesense-net: